Subject: Re: [bug#31548] [PATCH] gnu: Add sbcl-stumpwm-checkout.

From: Andy Patterson <[email-masked]>
Date: Sun, 17 Jun 2018 17:59:16 -0400

Hi Oleg,

On Sun, 17 Jun 2018 18:55:41 +0300
Oleg Pykhalov <[email-masked]> wrote:

> Hello Ludovic,
> 
> Apologies for a long reply.
> 
> [email-masked] (Ludovic Courtès) writes:
> 
> […]
> 
> >> In that case, I’d suggest changing the “name” field to
> >> “stumpwm-next” as we did a few times in the past, so that by
> >> default, people still get the official release.  
> 
> Changing “name” field unfortunatelly breaks the build.  I didn't
> investigate a reason yet and I don't want to push without changing
> “name” field because users will install the “stumpwm-next” by default.

I haven't looked much into your patch, but this might be because the
asdf build system uses the package name to guess where the system will
be defined. If the package name differs from the system name, this
behaviour can be overridden using the #:asd-system-name argument.

Hope that helps,

--
Andy